% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers.R
\name{retry}
\alias{retry}
\title{A wrapper around \code{try} that retries on failure}
\usage{
retry(..., sleep = 0.5, retries = 5)
}
\arguments{
\item{...}{Passed to \code{try}}

\item{sleep}{Passed to \code{Sys.sleep}, the default
delay in seconds bewteen repeated tries}

\item{retries}{Numeric. The maximum number of retries.}
}
\description{
This is useful for functions that are "flaky", such as
\code{curl}, which may fail for unknown reasons that do not
persist.
}
\details{
The same as \code{try}
}
